<template>
    <main class="login-form">
  <div class="cotainer">
      <div class="row justify-content-center">
          <div class="col-md-8">
              <div class="card">
                  <div class="card-header">Register</div>
                  <div class="card-body">
    
                      <div>
  
                          <div id="errors-list"></div>
 
                          <div class="form-group row">
                              <label for="name" class="col-md-4 col-form-label text-md-right">Name</label>
                              <div class="col-md-6">
                                  <input type="text" id="name" class="form-control" name="name" v-model="regis.name" required autofocus>
                                  
                              </div>
                          </div>
    
                          <div class="form-group row">
                              <label for="email_address" class="col-md-4 col-form-label text-md-right">E-Mail Address</label>
                              <div class="col-md-6">
                                  <input type="text" id="email_address" class="form-control" name="email"  v-model="regis.email" required autofocus>
                                  <span class="text-danger" v-show="errMsg.email!=null">{{ errMsg.email }}</span>
                              </div>
                          </div>
    
                          <div class="form-group row">
                              <label for="password" class="col-md-4 col-form-label text-md-right">Password</label>
                              <div class="col-md-6">
                                  <input type="password" id="password" class="form-control" name="password" v-model="regis.password" required>
                                  <span class="text-danger" v-show="errMsg.password!=null">{{ errMsg.password }}</span>
                              </div>
                          </div>
  
                          <div class="form-group row">
                              <label for="c_password" class="col-md-4 col-form-label text-md-right">Confirm Password</label>
                              <div class="col-md-6">
                                  <input type="password" id="c_password" class="form-control" name="c_password" v-model="regis.c_password" required>
                                  <span class="text-danger" v-show="errMsg.c_password!=null">{{ errMsg.c_password }}</span>
                              </div>
                          </div>
    
    
                          <div class="col-md-6 offset-md-4">
                              <button class="btn btn-primary" v-on:click="doRegis(regis)">
                                  Register
                              </button>
                          </div>
                        </div>
                          
                  </div>
              </div>
          </div>
      </div>
  </div>
</main>
</template>
<script>
 export default {
    data() {
        return {
            regis: {
                name:null,
                email:null,
                password:null,
                c_password:null
            },
            errMsg:{}
        }
    },
    methods: {
        doRegis(regis) {
           if(regis.name !=null && regis.name!='' && regis.email !=null && regis.email!='' && regis.c_password == regis.password){
            axios.post('/api/register',regis)
                .then((res) => {
                    console.log(res)
                    if(res.data.success){
                        localStorage.setItem('token',res.data.data.token);
                    localStorage.setItem('username',res.data.data.name);
                    window.location = res.data.redirect;
                    }else{
                        console.log(res.data.data)
                        res.data.data.email!==undefined?this.errMsg.email = res.data.data.email[0]:this.errMsg.email = null;
                        res.data.data.password!==undefined?this.errMsg.password = res.data.data.password[0]:this.errMsg.password = null;
                        res.data.data.c_password!==undefined?this.errMsg.c_password = res.data.data.c_password[0]:this.errMsg.c_password = null;
                    }
                })
           }
    },
    created() {

    }
}
}
  </script>